/* StdDefs.h -- Contains standard definitions for other modules
 *
 * Author: Dylan Muir (dr.muir@student.qut.edu.au)
 * Date: 3rd March, 1998
 * Modified: 12th February, 2001
 * Version: 1.34
 */

#ifndef	__stddefs_h
#define	__stddefs_h

/* -- Standard macros */

#define	MIN(x, y)	((x) < (y) ? (x) : (y))
#define	MAX(x, y)	((x) > (y) ? (x) : (y))
#define	SQR(x)		((x) * (x))

/*#define	DEBUG						uncomment for debugging */
/*#define	ANSI						uncomment for ANSI-only code */
/*#define	CHECK_PRECOND			uncomment to check preconditions */

/* -- Hardware type size definitions */

typedef	unsigned char			BYTE;
typedef	signed char				SBYTE;
typedef	unsigned short int	WORD;
typedef	signed short int		SWORD;
typedef	unsigned long int		DWORD;
typedef	signed long int		SDWORD;

/* -- Standard typedefs */

typedef char	*string;

#define	FALSE	0					/******/
#define	TRUE	!FALSE			/* Support for boolean functions */
typedef	int	BOOL;				/******/

/* -- Standard definitions */

#define	MAX_STRING				400

#define	EOL	'\n'
#define	EOS	'\0'
#define	TAB	0x09

#define	MATH_PI	3.1415926

#endif	/* __stddefs_h */

/* --- END of StdDefs.h --- */
